span {
  font-variation-settings: var(--icon-font-variation-settings);
  display: flex;
  user-select: none;
  font-family: 'Material Symbols Outlined', 'Material Icons', sans-serif;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.default-inherit {
  color: inherit;
}

.secondary-foreground {
  color: var(--Secondary-Foreground);
}

.main-foreground {
  color: var(--Main-Foreground);
}

.filled-icon {
  font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 48;
}

:host {
  display: inline-block;
}
